import { ListSOP } from '../../libappsop/listsop';
import { FormSOP } from '../../libappsop/formsop';
import { DialogSalesLevel } from '../dialogs/dialog.saleslevel';

export class FormSalesLevel extends FormSOP {
  public listSalesLevel = new ListSalesLevel();

  public constructor() {
    super('FormSalesLevels');
  }
}

export class ListSalesLevel extends ListSOP<DialogSalesLevel, ListSalesLevelColumn> {
  public static title = 'Sales Levels';

  public constructor() {
    super('ListSalesLevel', new DialogSalesLevel());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Name: ''};
  }
}

// List sales level columns
export interface ListSalesLevelColumn {
  Level?: string;
  Name?: string;
}

// List Sales Level context menu items
const listSalesLevelContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuSalesLevel', Name: 'MenuCreate', Label: 'Create' },
};

export { listSalesLevelContextMenuItem as ListSalesLevelContextMenuItem };
